Bug 140841 - [UPDATE] dns/ldns 1.6.2 Bugfix release from upstream
Summary: [UPDATE] dns/ldns 1.6.2 Bugfix release from upstream
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-24 20:30 UTC by Konstantin Saurbier
Modified: 2009-11-26 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.07 KB, patch)
2009-11-24 20:30 UTC, Konstantin Saurbier
no flags Details | Diff
ldns-1.6.2.txt (2.36 KB, text/plain; x-unix-mode=0600)
2009-11-25 11:30 UTC, Konstantin Saurbier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Saurbier 2009-11-24 20:30:10 UTC
Update to version 1.6.2 of dns/ldns. It is a bugfux release from upstream.

Excerpt from the changelog:

1.6.2	2009-11-05
	* Fix Makefile patch from Havard Eidnes, better install.sh usage.
	* Fix parse error on SOA serial of 2910532839.
	  Fix print of ';' and readback of '\;' in names, also for '\\'.
	  Fix parse of '\(' and '\)' in names.  Also for file read. Also '\.'
	* Fix signature creation when TTLs are different for RRs in RRset.
	* bug273: fix so EDNS rdata is included in pkt to wire conversion.
	* bug274: fix use of c++ keyword 'class' for RR class in the code.
	* bug275: fix memory leak of packet edns rdata.
	* Fix timeout procedure for TCP and AXFR on Solaris.
	* Fix occasional NSEC bitmap bogus
	* Fix rr comparing (was in reversed order since 1.6.0)
	* bug278: fix parsing HINFO rdata (and other cases).
	* Fix previous owner name: also pick up if owner name is @.
	* RFC5702: enabled sha2 functions by default. This requires OpenSSL 0.9.8 or higher.
      Reason for this default is the root to be signed with RSASHA256.
	* Fix various LDNS RR parsing issues: IPSECKEY, WKS, NSAP, very long lines
	* Fix: Make ldns_dname_is_subdomain case insensitive.
	* Fix ldns-verify-zone so that address records at zone NS set are not considered glue
		(Or glue records fall below delegation)
	* Fix LOC RR altitude printing.
	* Feature: Added period (e.g. '3m6d') support at explicit TTLs.
	* Feature: DNSKEY rrset by default signed with minimal signatures
		but -A option for ldns-signzone to sign it with all keys.
		This makes the DNSKEY responses smaller for signed domains.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2009-11-24 20:59:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-11-24 22:54:56 UTC
State Changed
From-To: open->feedback

Hi, 

Build failed on 6.X 


http://32bit.miwibox.org/index.php?action=describe_port&id=485 
http://64bit.miwibox.org/index.php?action=describe_port&id=503
Comment 3 Konstantin Saurbier 2009-11-25 11:30:13 UTC
Hi,

I've attached a new working patch. I've just removed sha2 support for <7.0 because
the old openssl version doesn't support it.
Ldns builds on 6.4 again.

Best regards,
Konstantin

Comment 4 Martin Wilke freebsd_committer 2009-11-26 14:19:38 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2009-11-26 14:22:03 UTC
miwi        2009-11-26 14:19:46 UTC

  FreeBSD ports repository

  Modified files:
    dns/ldns             Makefile distinfo 
  Log:
  - Update to 1.6.2
  
  PR:             140841
  Submitted by:   Konstantin Saurbier <konstantin@saurbier.net> (maintainer)
  
  Revision  Changes    Path
  1.13      +14 -10    ports/dns/ldns/Makefile
  1.9       +3 -3      ports/dns/ldns/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"